> For the complete documentation index, see [llms.txt](https://docs.adsecure.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.adsecure.com/api/detections/nsfw.md).

# NSFW

Determine if the content of the page contains images not suitable for work (offensive or adult images).

```
version  : 1.0.0
stability: stable
```

## Definition

***

### Meta

```
name     : "nsfw"
category : "USER_ADVISORY"
reference: "false"
condition: "="
```

### Record

The [`NSFW`](/api/detections/nsfw.md)'s record uses the `Record`'s interface:

```typescript
interface Record {
  url: string;
  type: string;
  data: string;
  trigger: string;
  requestId: string;
  frameId: string;
  targetVersion: string;
  timestamp: string;
}
```

## Fields

***

### `url`

```
version  : 1.0.0
stability: stable
```

```typescript
url: string;
```

The URL of the page gathered when that medium element appears.

***

### `mimetype`

```
version  : 1.0.0
stability: stable
```

```typescript
mimetype: string;
```

The element mime type following the [IANA specifications](https://www.iana.org/assignments/media-types/media-types.xhtml) based on [RFC6838](https://tools.ietf.org/html/rfc6838) and [RFC4855](https://tools.ietf.org/html/rfc4855)

***

### `frameId`

```
version  : 1.0.0
stability: stable
```

```typescript
frameId: string;
```

The `Frame` identifier in which the medium element was recorded.

***

### `targetVersion`

```
version  : 1.0.0
stability: stable
```

```typescript
targetVersion: number;
```

## The `Target` version during which the medium element was recorded.

### `requestId`

```
version  : 1.0.0
stability: stable
```

```typescript
requestId: string;
```

The unique identifier of the network `Request`.

> **⚠️ Caution:** In some cases such as redirection, this identifier could be shared by more than one entry as referencing themselves to the same request:

```json
[
  {
    "requestId": "10.1",
    "status": "302"
  },
  {
    "requestId": "10.1",
    "status": "200"
  }
]
```

***

### `timestamp`

```
version  : 1.0.0
stability: stable
```

```typescript
timestamp: string;
```

An ISO 8601 timestamp that reflects the moment when the event was recorded.

***

## Sample

```json
{
  "name": "nsfw",
  "category": "USER_ADVISORY",
  "value": "true",
  "reference": "false",
  "condition": "=",
  "violation": true,
  "notify": true,
  "alert": true,
  "records": [
    {
      "url": "https://example.com",
      "mimetype": "image/png"
      "frameId": "(44F9E330621E839F952BA14F9EC9DF5B)",
      "requestId": "5668.1",
      "targetVersion": 10,
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.adsecure.com/api/detections/nsfw.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
